---
title: Puntos de conexión de video de rDWS
slug: develop/es/puntos-de-conexion-de-video-de-rdws
docTags: 
createdAt: 2025-03-11T07:03:33.433Z
---

URL base para estos endpoints:  ***https\://ws.bsn.cloud/rest/v1/***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /video-mode/ 

Recupera el modo de video actualmente activo en el reproductor

**Ejemplo de solicitud**

```text
GET /rest/v1/video-mode/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Cuerpo de la respuesta**

- `ancho` <font color="#704ae0">int</font>: El ancho de la pantalla
- `altura` <font color="#704ae0">int</font>: La altura de la pantalla
- `marcos` <font color="#704ae0">int</font>: La velocidad de fotogramas
- `escanear` <font color="#704ae0">string</font>: El método de escaneo de la señal de video, que puede ser progresivo ("p") o entrelazado ("i")
- `nombre` <font color="#704ae0">string</font>: El nombre completo del modo de video (se puede encontrar una lista completa de modos en [esta página](docId\:QpML112mBhEK7LBDGUxnv))
- `isAutoMode` <font color="#704ae0">bool</font>: Una marca que indica si el modo de video se configuró usando el modo automático
- `modo` <font color="#704ae0">mode{ }</font>: Un objeto Mode que proporciona información adicional sobre la salida de video. Este objeto puede contener las siguientes propiedades:
  - `preferido` <font color="#704ae0">bool</font>: Una marca que indica si el modo de video es el modo preferido
  - `sobrescaneo` <font color="#704ae0">bool</font>: Una marca que indica si la salida de video está usando una configuración de overscan o no
  - `modeName` <font color="#704ae0">string</font>: El nombre completo del modo de video (se puede encontrar una lista completa de modos en [esta página](docId\:QpML112mBhEK7LBDGUxnv))
  - `entrelazado` <font color="#704ae0">bool</font>: Una marca que indica si la salida de video es entrelazada (`verdadero`) o progresiva (`falso`)
  - `ancho` <font color="#704ae0">int</font>: El ancho de la salida de video
  - `altura` <font color="#704ae0">int</font>: La altura de la salida de video
  - `graphicsPlaneWidth` <font color="#704ae0">int</font>: El ancho del plano gráfico 
  - `graphicsPlaneHeight` <font color="#704ae0">int</font>: La altura del plano gráfico
  - `frecuencia` <font color="#704ae0">int</font>: La velocidad de fotogramas de la salida de video
  - `dropFrame` <font color="#704ae0">bool</font>: Una marca que indica si el código de tiempo de video utiliza drop frames
  - `colorSpace` <font color="#704ae0">string</font>: El espacio de color de la señal de video ("rgb", "yuv420" o "yuv422")
  - `colorDepth` <font color="#704ae0">string</font>: La profundidad de color de la señal de video ("8bit", "10bit" o "12bit")

**Ejemplo de respuesta**

```json
{
    "route": "/v1/video-mode",
    "method": "GET",
    "data": {
        "result": {
            "isAutoMode": false,
            "name": "640x480x60p",
            "width": "640",
            "height": "480",
            "frames": "60",
            "scan": "p",
            "mode": {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 640,
                "height": 480,
                "interlaced": false,
                "modeName": "640x480x60p",
                "overscan": false,
                "preferred": false,
                "width": 640
            }
        }
    }
}
```

## GET /video/\{:connector}/output/\{:device}/ 

Recupera información sobre la salida de video especificada

**Segmentos**

- `conector`: El valor actual siempre es `hdmi`
- `dispositivo`: Este valor en las URL /video/ actualmente es `0` para reproductores Series 5 con una sola salida y todos los reproductores Series 4 y anteriores. El valor puede ser `0`-`3` para el XC4055, que tiene múltiples salidas, y `0` o `1` para el XC2055 y XT2145.

**Ejemplo de solicitud**

```text
GET /rest/v1/video/hdmi/output/0/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Cuerpo de la respuesta**

Los siguientes campos estarán presentes en la respuesta:

- `modoActivo`: Información sobre el modo de video activo en el reproductor
- `adjunto` <font color="#704ae0">bool</font>: Indica si la salida HDMI® está conectada o no
- `bestMode` <font color="#704ae0">string</font>: El mejor modo de video para el reproductor. El conector HDMI debe estar conectado porque obtiene detalles del resultado EDID.
- `configuredMode`: El modo de video configurado en el reproductor. Esto puede ser diferente de activeMode.
- `edid` <font color="#704ae0">string</font>: Devuelve la cadena EDID leída de la pantalla conectada al reproductor. Si el ahorro de energía está activado, se devolverán ceros
- `edid_identity`: Analiza la cadena anterior en un formato JSON para mejorar la legibilidad. Requiere una salida HDMI conectada al reproductor y una pantalla.
- `modos`: Lista de todos los modos de video disponibles en el reproductor.
- `powerSaveStatus` <font color="#704ae0">bool</font>: Indica el estado de ahorro de energía de la pantalla conectada al reproductor.
- `resoluciones` <font color="#704ae0">resolutions[ ]</font>: Un arreglo de información sobre los gráficos, la salida y la resolución de video. Devuelve valores de resultado para altura y anchura.
- `estado`:
  - `audioBitsPerSample` <font color="#704ae0">int</font>: El número de bits por muestra de audio
  - `cantidadDeCanalesDeAudio` <font color="#704ae0">int</font>: El número de canales de audio en la salida
  - `audioFormat` <font color="#704ae0">string</font>: El formato de la salida de audio. Un valor "PCM" indica que el reproductor está enviando salida decodificada.
  - `audioSampleRate` <font color="#704ae0">int</font>: La frecuencia de muestreo de audio (en hercios)
  - `eotf` <font color="#704ae0">string</font>: La función de transferencia electroóptica (EOTF) actual utilizada por la pantalla. Los siguientes son valores posibles:
    - "HDR (GAMMA)"
    - "SDR (GAMMA)"
    - "SMPTE 2084 (PQ)"
    - "Future (BBC/NHK)"
    - "unspecified"
  - `salidaImpulsada` <font color="#704ae0">bool</font>: Indica si el dispositivo de pantalla está encendido (es decir, RX con alimentación)&#x20;
  - `outputPresent` <font color="#704ae0">bool</font>: Indica si la salida HDMI está conectada a un dispositivo de pantalla o no.
  - `inestable` <font color="#704ae0">bool</font>: Indica si la señal de la pantalla es inestable o estable

**Ejemplo de respuesta**

:::ExpandableHeading
Expandir

```json
{
    "route": "/v1/video/hdmi/output/0/",
    "method": "GET",
    "data": {
        "result": {
            "resolutions": {
                "video": {
                    "result": {
                        "height": 1080,
                        "width": 1920
                    }
                },
                "graphics": {
                    "result": {
                        "height": 1080,
                        "width": 1920
                    }
                },
                "output": {
                    "result": {
                        "height": 1080,
                        "width": 1920
                    }
                }
            },
            "edid_identity": {
                "result": {
                    "bt2020RgbSupport": false,
                    "bt2020YccSupport": false,
                    "hdrEotfSupport": false,
                    "hdrSt2084Support": false,
                    "manufacturer": "SAM",
                    "monitorName": "SAMSUNG",
                    "product": 1293,
                    "sdrEotfSupport": false,
                    "serialNumber": 1,
                    "serialNumberString": "",
                    "textString": "",
                    "weekOfManufacture": 48,
                    "yearOfManufacture": 2008
                }
            },
            "edid": {
                "result": "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"
            },
            "attached": {
                "result": true
            },
            "status": {
                "result": {
                    "audioBitsPerSample": 0,
                    "audioChannelCount": 0,
                    "audioFormat": "Unknown",
                    "audioSampleRate": 0,
                    "outputPowered": true,
                    "outputPresent": true
                }
            },
            "TxHdcpStatus": {
                "result": {
                    "state": "not-required"
                }
            },
            "modes": {
                "result": [
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 640,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "640x480x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 640
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 720,
                        "height": 480,
                        "interlaced": true,
                        "modeName": "720x480x60i",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 720,
                        "height": 576,
                        "interlaced": true,
                        "modeName": "720x576x50i",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 848,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "848x480x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 848
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 800,
                        "height": 600,
                        "interlaced": false,
                        "modeName": "800x600x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 800
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 800,
                        "height": 600,
                        "interlaced": false,
                        "modeName": "800x600x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 800
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 960,
                        "graphicsPlaneWidth": 960,
                        "height": 960,
                        "interlaced": false,
                        "modeName": "960x960x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 960
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1024,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1024x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1024
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1024,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1024x768x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1024
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1280,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1280x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 1280,
                        "height": 800,
                        "interlaced": false,
                        "modeName": "1280x800x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 1280,
                        "height": 800,
                        "interlaced": false,
                        "modeName": "1280x800x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1360,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1360x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1360
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1280,
                        "graphicsPlaneWidth": 800,
                        "height": 1280,
                        "interlaced": false,
                        "modeName": "800x1280x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 800
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1920,
                        "graphicsPlaneWidth": 1200,
                        "height": 1920,
                        "interlaced": false,
                        "modeName": "1200x1920x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1200
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1366,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1366x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1366
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 960,
                        "graphicsPlaneWidth": 1280,
                        "height": 960,
                        "interlaced": false,
                        "modeName": "1280x960x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 1280,
                        "height": 1024,
                        "interlaced": false,
                        "modeName": "1280x1024x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 1280,
                        "height": 1024,
                        "interlaced": false,
                        "modeName": "1280x1024x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 900,
                        "graphicsPlaneWidth": 1440,
                        "height": 900,
                        "interlaced": false,
                        "modeName": "1440x900x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 900,
                        "graphicsPlaneWidth": 1440,
                        "height": 900,
                        "interlaced": false,
                        "modeName": "1440x900x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1050,
                        "graphicsPlaneWidth": 1400,
                        "height": 1050,
                        "interlaced": false,
                        "modeName": "1400x1050x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1400
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 1050,
                        "graphicsPlaneWidth": 1400,
                        "height": 1050,
                        "interlaced": false,
                        "modeName": "1400x1050x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1400
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1440,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1440x1080x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1088,
                        "graphicsPlaneWidth": 1440,
                        "height": 1088,
                        "interlaced": false,
                        "modeName": "1440x1088x57p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 768,
                        "height": 2048,
                        "interlaced": false,
                        "modeName": "1536x2048x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1536
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 900,
                        "graphicsPlaneWidth": 1600,
                        "height": 900,
                        "interlaced": false,
                        "modeName": "1600x900x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1600
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1200,
                        "graphicsPlaneWidth": 1600,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "1600x1200x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1600
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1050,
                        "graphicsPlaneWidth": 1680,
                        "height": 1050,
                        "interlaced": false,
                        "modeName": "1680x1050x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1680
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1296,
                        "graphicsPlaneWidth": 1728,
                        "height": 1296,
                        "interlaced": false,
                        "modeName": "1728x1296x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1728
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 540,
                        "interlaced": false,
                        "modeName": "1920x540x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1200,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "1920x1200x50p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1200,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "1920x1200x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 672,
                        "graphicsPlaneWidth": 896,
                        "height": 1344,
                        "interlaced": false,
                        "modeName": "1792x1344x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1792
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 960,
                        "graphicsPlaneWidth": 960,
                        "height": 1920,
                        "interlaced": false,
                        "modeName": "1920x1920x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 1024,
                        "height": 1152,
                        "interlaced": false,
                        "modeName": "2048x1152x50p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2048
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 1024,
                        "height": 1152,
                        "interlaced": false,
                        "modeName": "2048x1152x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2048
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 288,
                        "graphicsPlaneWidth": 2376,
                        "height": 288,
                        "interlaced": false,
                        "modeName": "2376x288x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2376
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 2560,
                        "height": 800,
                        "interlaced": false,
                        "modeName": "2560x800x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 1280,
                        "height": 960,
                        "interlaced": false,
                        "modeName": "2560x960x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1280,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "2560x1080x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "2560x1440x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "2560x1440x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 1280,
                        "height": 1600,
                        "interlaced": false,
                        "modeName": "2560x1600x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 1536,
                        "height": 2048,
                        "interlaced": false,
                        "modeName": "3072x2048x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3072
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1720,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "3440x1440x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1720,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "3440x1440x50p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1720,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "3440x1440x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 720,
                        "height": 576,
                        "interlaced": false,
                        "modeName": "720x576x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 720,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "720x480x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 720,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "720x480x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": true,
                        "modeName": "1920x1080x50i",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": true,
                        "modeName": "1920x1080x59.94i",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": true,
                        "modeName": "1920x1080x60i",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x29.97p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 360,
                        "graphicsPlaneWidth": 1440,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "2880x720x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 2880
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 300,
                        "graphicsPlaneWidth": 1920,
                        "height": 600,
                        "interlaced": false,
                        "modeName": "3840x600x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "3840x1200x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x29.97p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "3840x1200x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x29.97p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    }
                ]
            },
            "activeMode": {
                "result": {
                    "colorDepth": "8bit",
                    "colorSpace": "rgb",
                    "dropFrame": false,
                    "frequency": 60,
                    "graphicsPlaneHeight": 1080,
                    "graphicsPlaneWidth": 1920,
                    "height": 1080,
                    "interlaced": false,
                    "modeName": "1920x1080x60p",
                    "overscan": true,
                    "preferred": false,
                    "width": 1920
                }
            },
            "configuredMode": {
                "result": null
            },
            "bestMode": {
                "result": "1920x1080x60p"
            },
            "powerSaveStatus": {
                "result": false
            }
        }
    }
}
```
:::

## GET /video/\{:connector}/output/\{:device}/edid/ 

Devuelve la información EDID de un monitor/televisor compatible conectado a la salida de video

**Segmentos**

- `conector`: El valor actual siempre es `hdmi`
- `dispositivo`: Actualmente, este valor en las URL /video/ es `0` para reproductores Series 5 de una sola salida y todos los reproductores Series 4 y anteriores. El valor puede ser `0`-`3` para el XC4055, que tiene múltiples salidas, y `0` o `1` para el XC2055 y XT2145.

**Ejemplo de solicitud**

```text
GET /rest/v1/video/hdmi/output/0/edid/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Cuerpo de la respuesta**

- `resultado` <font color="#704ae0">string</font>: El resultado de cadena EDID

**Ejemplo de respuesta**

```json
{
    "route": "/v1/video/hdmi/output/0/edid",
    "method": "GET",
    "data": {
        "result": "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"
    }
}
```

## GET /video/\{:connector}/output/\{:device}/power-save/ 

Recupera el estado de alimentación del monitor conectado al reproductor (según se informa mediante EDID)

**Segmentos**

- `conector`: El valor actual siempre es `hdmi`
- `dispositivo`: Actualmente, este valor en las URL /video/ es `0` para reproductores Series 5 de una sola salida y todos los reproductores Series 4 y anteriores. El valor puede ser `0`-`3` para el XC4055, que tiene múltiples salidas, y `0` o `1` para el XC2055 y XT2145.

**Ejemplo de solicitud**

```text
GET /rest/v1/video/hdmi/output/0/power-save/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Cuerpo de la respuesta**

- `is_connected` <font color="#704ae0">bool</font>: Indica si el monitor está conectado a la salida HDMI en el reproductor
- `is_powered` <font color="#704ae0">bool</font>: Indica si el monitor está encendido (por ejemplo, RX con alimentación) 
- `habilitado` <font color="#704ae0">bool</font>: Indica si el modo de ahorro de energía ha sido habilitado en la salida HDMI/VGA

**Ejemplo de respuesta**

```json
{
    "route": "/v1/video/hdmi/output/0/power-save/",
    "method": "GET",
    "data": {
        "result": {
            "is_connected": true,
            "is_powered": true,
            "enabled": false
        }
    }
}
```

## PUT /video/\{:connector}/output/\{:device}/power-save/ 

Habilita o deshabilita el modo de ahorro de energía en el monitor conectado al reproductor (a través de HDMI, VGA o Component)

**Segmentos**

- `conector`: El valor actual siempre es `hdmi`
- `dispositivo`: Este valor en las URL /video/ es actualmente `0` para reproductores Series 5 de salida única y todos los reproductores Series 4 y anteriores. El valor puede ser `0`-`3` para el XC4055, que tiene múltiples salidas, y `0` o `1` para el XC2055 y XT2145.

**Parámetros del cuerpo de la solicitud**

- `habilitado` <font color="#704ae0">bool</font>:  Si el ahorro de energía está habilitado o no 

**Ejemplo de solicitud**

```text
PUT /rest/v1/video/hdmi/output/0/power-save/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 51
```

Este es el cuerpo de solicitud de ejemplo:

```json
{
    "data": {
        "enabled": true
    }
}
```

**Cuerpo de la respuesta**

El servidor devolverá un mensaje de éxito o error

**Ejemplo de respuesta**

```json
{
    "data": {
        "result": true
    },
    "route": "/v1/video/hdmi/output/0/power-save",
    "method": "PUT"
}
```

## GET  /video/\{:connector}/output/\{:device}/modes/ 

Recupera todos los modos de video disponibles en la salida de video especificada

**Segmentos**

- `conector`: El valor actual siempre es `hdmi`
- `dispositivo`: Este valor en las URL /video/ es actualmente `0` para reproductores Series 5 de salida única y todos los reproductores Series 4 y anteriores. El valor puede ser `0`-`3` para el XC4055, que tiene múltiples salidas, y `0` o `1` para el XC2055 y XT2145.

**Ejemplo de solicitud**

```text
GET /rest/v1/video/hdmi/output/0/modes/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Cuerpo de la respuesta**

Devuelve una matriz de objetos de modo de video, cada uno de los cuales contiene los siguientes parámetros:

- `modeName` <font color="#704ae0">string</font>: El modo (por ejemplo, "1920x1080x60p")
- `colorDepth` <font color="#704ae0">string</font>: La profundidad de color de la señal de video
- `colorSpace` <font color="#704ae0">string</font>: El espacio de color de la señal de video ("rgb", "yuv420" o "yuv422")
- `dropFrame` <font color="#704ae0">bool</font>: Indica si el código de tiempo del video usa drop frame o no
- `frecuencia` <font color="#704ae0">int</font>: La frecuencia de cuadros de la salida de video
- `ancho` <font color="#704ae0">int</font>: El ancho de la salida de video
- `altura` <font color="#704ae0">int</font>: La altura de la salida de video
- `graphicsPlaneWidth` <font color="#704ae0">int</font>: El ancho del plano gráfico
- `graphicsPlaneHeight` <font color="#704ae0">int</font>: La altura del plano gráfico
- `entrelazado` <font color="#704ae0">bool</font>: Indica si la salida de video es entrelazada o no
- `sobrescaneo` <font color="#704ae0">bool</font>: Indica si la salida de video está usando una configuración de overscan o no
- `preferido` <font color="#704ae0">bool</font>: Indica si el video es el modo preferido

**Ejemplo de respuesta**

:::ExpandableHeading
Expandir

```text
{
    "route": "/v1/video/hdmi/output/0/modes/",
    "method": "GET",
    "data": {
        "result": [
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 640,
                "height": 480,
                "interlaced": false,
                "modeName": "640x480x60p",
                "overscan": false,
                "preferred": false,
                "width": 640
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": true,
                "frequency": 30,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 720,
                "height": 480,
                "interlaced": true,
                "modeName": "720x480x60i",
                "overscan": true,
                "preferred": false,
                "width": 720
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 25,
                "graphicsPlaneHeight": 576,
                "graphicsPlaneWidth": 720,
                "height": 576,
                "interlaced": true,
                "modeName": "720x576x50i",
                "overscan": true,
                "preferred": false,
                "width": 720
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 848,
                "height": 480,
                "interlaced": false,
                "modeName": "848x480x60p",
                "overscan": false,
                "preferred": false,
                "width": 848
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 600,
                "graphicsPlaneWidth": 800,
                "height": 600,
                "interlaced": false,
                "modeName": "800x600x60p",
                "overscan": false,
                "preferred": false,
                "width": 800
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 600,
                "graphicsPlaneWidth": 800,
                "height": 600,
                "interlaced": false,
                "modeName": "800x600x75p",
                "overscan": false,
                "preferred": false,
                "width": 800
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 960,
                "graphicsPlaneWidth": 960,
                "height": 960,
                "interlaced": false,
                "modeName": "960x960x60p",
                "overscan": false,
                "preferred": false,
                "width": 960
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1024,
                "height": 768,
                "interlaced": false,
                "modeName": "1024x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1024
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1024,
                "height": 768,
                "interlaced": false,
                "modeName": "1024x768x75p",
                "overscan": false,
                "preferred": false,
                "width": 1024
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1280,
                "height": 768,
                "interlaced": false,
                "modeName": "1280x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 1280,
                "height": 800,
                "interlaced": false,
                "modeName": "1280x800x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 1280,
                "height": 800,
                "interlaced": false,
                "modeName": "1280x800x75p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1360,
                "height": 768,
                "interlaced": false,
                "modeName": "1360x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1360
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1280,
                "graphicsPlaneWidth": 800,
                "height": 1280,
                "interlaced": false,
                "modeName": "800x1280x60p",
                "overscan": false,
                "preferred": false,
                "width": 800
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1920,
                "graphicsPlaneWidth": 1200,
                "height": 1920,
                "interlaced": false,
                "modeName": "1200x1920x60p",
                "overscan": false,
                "preferred": false,
                "width": 1200
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1366,
                "height": 768,
                "interlaced": false,
                "modeName": "1366x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1366
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 960,
                "graphicsPlaneWidth": 1280,
                "height": 960,
                "interlaced": false,
                "modeName": "1280x960x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 1280,
                "height": 1024,
                "interlaced": false,
                "modeName": "1280x1024x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 1280,
                "height": 1024,
                "interlaced": false,
                "modeName": "1280x1024x75p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 900,
                "graphicsPlaneWidth": 1440,
                "height": 900,
                "interlaced": false,
                "modeName": "1440x900x60p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 900,
                "graphicsPlaneWidth": 1440,
                "height": 900,
                "interlaced": false,
                "modeName": "1440x900x75p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1050,
                "graphicsPlaneWidth": 1400,
                "height": 1050,
                "interlaced": false,
                "modeName": "1400x1050x60p",
                "overscan": false,
                "preferred": false,
                "width": 1400
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 1050,
                "graphicsPlaneWidth": 1400,
                "height": 1050,
                "interlaced": false,
                "modeName": "1400x1050x75p",
                "overscan": false,
                "preferred": false,
                "width": 1400
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1080,
                "graphicsPlaneWidth": 1440,
                "height": 1080,
                "interlaced": false,
                "modeName": "1440x1080x60p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1088,
                "graphicsPlaneWidth": 1440,
                "height": 1088,
                "interlaced": false,
                "modeName": "1440x1088x57p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 768,
                "height": 2048,
                "interlaced": false,
                "modeName": "1536x2048x30p",
                "overscan": false,
                "preferred": false,
                "width": 1536
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 900,
                "graphicsPlaneWidth": 1600,
                "height": 900,
                "interlaced": false,
                "modeName": "1600x900x60p",
                "overscan": false,
                "preferred": false,
                "width": 1600
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1200,
                "graphicsPlaneWidth": 1600,
                "height": 1200,
                "interlaced": false,
                "modeName": "1600x1200x60p",
                "overscan": false,
                "preferred": false,
                "width": 1600
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1050,
                "graphicsPlaneWidth": 1680,
                "height": 1050,
                "interlaced": false,
                "modeName": "1680x1050x60p",
                "overscan": false,
                "preferred": false,
                "width": 1680
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1296,
                "graphicsPlaneWidth": 1728,
                "height": 1296,
                "interlaced": false,
                "modeName": "1728x1296x60p",
                "overscan": false,
                "preferred": false,
                "width": 1728
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 540,
                "graphicsPlaneWidth": 1920,
                "height": 540,
                "interlaced": false,
                "modeName": "1920x540x60p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 50,
                "graphicsPlaneHeight": 1200,
                "graphicsPlaneWidth": 1920,
                "height": 1200,
                "interlaced": false,
                "modeName": "1920x1200x50p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1200,
                "graphicsPlaneWidth": 1920,
                "height": 1200,
                "interlaced": false,
                "modeName": "1920x1200x60p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 672,
                "graphicsPlaneWidth": 896,
                "height": 1344,
                "interlaced": false,
                "modeName": "1792x1344x60p",
                "overscan": false,
                "preferred": false,
                "width": 1792
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 960,
                "graphicsPlaneWidth": 960,
                "height": 1920,
                "interlaced": false,
                "modeName": "1920x1920x60p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 50,
                "graphicsPlaneHeight": 576,
                "graphicsPlaneWidth": 1024,
                "height": 1152,
                "interlaced": false,
                "modeName": "2048x1152x50p",
                "overscan": false,
                "preferred": false,
                "width": 2048
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 576,
                "graphicsPlaneWidth": 1024,
                "height": 1152,
                "interlaced": false,
                "modeName": "2048x1152x60p",
                "overscan": false,
                "preferred": false,
                "width": 2048
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 288,
                "graphicsPlaneWidth": 2376,
                "height": 288,
                "interlaced": false,
                "modeName": "2376x288x60p",
                "overscan": false,
                "preferred": false,
                "width": 2376
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 2560,
                "height": 800,
                "interlaced": false,
                "modeName": "2560x800x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 1280,
                "height": 960,
                "interlaced": false,
                "modeName": "2560x960x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 540,
                "graphicsPlaneWidth": 1280,
                "height": 1080,
                "interlaced": false,
                "modeName": "2560x1080x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1280,
                "height": 1440,
                "interlaced": false,
                "modeName": "2560x1440x30p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1280,
                "height": 1440,
                "interlaced": false,
                "modeName": "2560x1440x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 1280,
                "height": 1600,
                "interlaced": false,
                "modeName": "2560x1600x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 1536,
                "height": 2048,
                "interlaced": false,
                "modeName": "3072x2048x30p",
                "overscan": false,
                "preferred": false,
                "width": 3072
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1720,
                "height": 1440,
                "interlaced": false,
                "modeName": "3440x1440x30p",
                "overscan": false,
                "preferred": false,
                "width": 3440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
[...]
